import { Stack, StackProps } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export declare enum DatabaseType {
    CLUSTER = "Cluster",
    INSTANCE = "Instance"
}
export interface ScheduleProperty {
    readonly timezone: string;
    readonly minute?: string;
    readonly hour?: string;
    readonly week?: string;
}
export interface TargetProperty {
    readonly type: DatabaseType;
    readonly identifiers: string[];
    readonly stopSchedule: ScheduleProperty;
    readonly startSchedule: ScheduleProperty;
}
export interface RdsDatabaseRunningScheduleStackProps extends StackProps {
    readonly targets: TargetProperty[];
}
export declare class RdsDatabaseRunningScheduleStack extends Stack {
    constructor(scope: Construct, id: string, props: RdsDatabaseRunningScheduleStackProps);
}
